Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class UTF8String

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString
            |
            +--org.mozilla.jss.asn1.UTF8String

All Implemented Interfaces:
  ASN1Value

public class UTF8String
extends CharacterString
implements ASN1Value

Nested Class Summary
`static class` | `UTF8String.Template`

Nested classes inherited from class org.mozilla.jss.asn1.CharacterString
``

Field Summary
`static Form` | `FORM`
`static Tag` | `TAG`

Constructor Summary
`UTF8String(char[] chars)`
`UTF8String(java.lang.String s)`

Method Summary
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static UTF8String.Template` | `getTemplate()` Returns a singleton instance of UTF8String.Template.

Methods inherited from class org.mozilla.jss.asn1.CharacterString
`encode, encode, toCharArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### TAG

    public static final Tag TAG

### FORM

    public static final Form FORM

Constructor Detail

### UTF8String

    public UTF8String(char[] chars)
               throws java.io.CharConversionException

### UTF8String

    public UTF8String(java.lang.String s)
               throws java.io.CharConversionException

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`
  Specified by:
    `getTag` in class `CharacterString`

### getTemplate

    public static UTF8String.Template getTemplate()

  Returns a singleton instance of UTF8String.Template. This is more efficient than creating a new UTF8String.Template.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD